%define name ktvapp
%define version 0.03
%define release %mkrel 1
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Ktvapp is KDE videorecorder setup
License:   GPL
URL:       http://www.andreas-silberstorff.de/ktvapp/
Group:     Video
Source:    http://www.andreas-silberstorff.de/%{name}/download/SOURCES/%{name}.kdevelop-%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires:  xawtv
Requires:  mencoder
Requires:  mplayer

%description
A simple to use videorecorder using mencoder to do the dirty work.
ktvapp uses the local channellist of xawtv ($HOME/.xawtvrc).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}.kdevelop

%build
make -f Makefile.cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=ktvapp|Name=Ktvapp|" %buildroot/%_datadir/applications/kde/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Multimedia/Video" %buildroot/%_datadir/applications/kde/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %_bindir/tvapp.pl
%_menudir/%{name}
%_prefix/lib/tvapp/tvapp.pm
%_datadir/applications/kde/%{name}.desktop
%_datadir/applnk/Multimedia/TV/%{name}.desktop
%_datadir/apps/%{name}/ktvappui.rc
%_datadir/config.kcfg/%{name}.kcfg
%_docdir/HTML/en/%{name}/*
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}



%changelog
* Tue May 24  2005 <plouf@mandriva.org> 0.03-1mdk
- First Mandriva Linux release
